oracle.pg.common

## Class OracleWrapperVertex

- java.lang.Object
- - oracle.pg.common.OracleWrapperElement
  - - oracle.pg.common.OracleWrapperVertex

- All Implemented Interfaces:
    Element, Vertex

      public class OracleWrapperVertex
      extends OracleWrapperElement
      implements Vertex

  This class implements the Blueprints Vertex and Element interface by using an Oracle backend.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Edge` | `addEdge(String label, Vertex inVertex)` This method adds an outgoing edge from this vertex to the inVertex with the provided edge label
    `Iterable<Edge>` | `getEdges(Direction direction, String... labels)` Return the edges incident to the vertex according to the given direction and edge labels.
    `static OracleWrapperVertex` | `getInstance(OracleWrapperGraph opg, Long vid)` Returns an instance of OracleWrapperVertex
    `Iterable<Vertex>` | `getVertices(Direction direction, String... labels)` Return the vertices adjacent to the vertex according to the prDVIDed direction and edge labels.
    `VertexQuery` | `query()` Generate a query object that can be used to fine tune which edges/vertices are retrieved that are incident/adjacent to this vertex.
    `void` | `remove()` This method removes this vertex from its container grpah
    `String` | `toString()`

    - ### Methods inherited from class oracle.pg.common.OracleWrapperElement

      `countPropertyKeys, getId, getProperty, getPropertyKeys, isPartial, removeProperty, setProperty, setProperty`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getId, getProperty, getPropertyKeys, removeProperty, setProperty`

- - ### Method Detail

    - #### addEdge

          public Edge addEdge(String label,
                     Vertex inVertex)

      This method adds an outgoing edge from this vertex to the inVertex with the provided edge label
      Specified by:
        `addEdge` in interface `Vertex`

    - #### getEdges

          public Iterable<Edge> getEdges(Direction direction,
                                String... labels)

      Return the edges incident to the vertex according to the given direction and edge labels. TODO: handle labels
      Specified by:
        `getEdges` in interface `Vertex`

    - #### getInstance

          public static OracleWrapperVertex getInstance(OracleWrapperGraph opg,
                                        Long vid)

      Returns an instance of OracleWrapperVertex

    - #### getVertices

          public Iterable<Vertex> getVertices(Direction direction,
                                     String... labels)

      Return the vertices adjacent to the vertex according to the prDVIDed direction and edge labels.
      Specified by:
        `getVertices` in interface `Vertex`

    - #### query

          public VertexQuery query()

      Generate a query object that can be used to fine tune which edges/vertices are retrieved that are incident/adjacent to this vertex.
      Specified by:
        `query` in interface `Vertex`

    - #### remove

          public void remove()

      This method removes this vertex from its container grpah
      Specified by:
        `remove` in interface `Element`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.